Skip to content

Get a channel

GET
/v1/channels/{channelId}
curl --request GET \
--url https://api.roundrobinbot.eu/v1/channels/example \
--header 'Authorization: Bearer <token>'

One Slack channel, as this workspace’s own installation sees it. A channel Round Robin cannot reach answers 404 whether it is private, archived or does not exist, so a 404 here is not proof that the id is wrong.

channelId
required
string

OK

Media typeapplication/json

A Slack channel. Served by GET /v1/channels/{channelId}.

object
id

The Slack channel id.

string
isPrivate
boolean
name
null | string
teamId
string
Examplegenerated
{
"id": "example",
"isPrivate": true,
"name": "example",
"teamId": "example"
}

Unauthorized

Media typeapplication/json
object
detail
null | string
instance
null | string
status
null | integer format: int32
title
null | string
type
null | string
Examplegenerated
{
"detail": "example",
"instance": "example",
"status": 1,
"title": "example",
"type": "example"
}

Forbidden

Media typeapplication/json
object
detail
null | string
instance
null | string
status
null | integer format: int32
title
null | string
type
null | string
Examplegenerated
{
"detail": "example",
"instance": "example",
"status": 1,
"title": "example",
"type": "example"
}

Not Found

Media typeapplication/json
object
detail
null | string
instance
null | string
status
null | integer format: int32
title
null | string
type
null | string
Examplegenerated
{
"detail": "example",
"instance": "example",
"status": 1,
"title": "example",
"type": "example"
}